### Signal

# Hitaki TascamProtocol::changed

#### Declaration

    void
    changed (
      HitakiTascamProtocol* self,
      guint index,
      guint before,
      guint after,
      gpointer user_data
    )

#### Description [src]

Emitted when the part of image differed for the change of device state.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`index`

  Type: `guint`

  The numeric index on image of status and control info.

`before`

  Type: `guint`

  The value of info before changed.

`after`

  Type: `guint`

  The value of info after changed.